<section class="timesheet-container">
    <div class="header-label">
        <span class="hr-image">
            <i class="fa fa-calender"></i>
        </span>
        <span class="admin-name">Timesheet Policies</span>
    </div>
    <section class="upload-container">
        <input #excelInput hidden="true" type="file" onclick="this.value=null" (change)="fileInputChange($event)"
            accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />

        <button mat-raised-button color="primary" (click)="excelInput.click()" class="xl-btn">UPLOAD</button>

        <button mat-raised-button color="primary" (click)="downloadFile($event)" class="xl-btn">DOWNLOAD</button>
    </section>
</section>
<mat-card class="table-container">
    <h6>Timesheet History</h6>
    <div class="mat-elevation-z0">
      <table mat-table [dataSource]="dataSource">
  
        <!-- Payroll Year Column -->
        <ng-container matColumnDef="pk">
          <th mat-header-cell *matHeaderCellDef> Entry ID </th>
          <td mat-cell *matCellDef="let element"> {{element.pk}} </td>
        </ng-container>
  
        <!-- Process Name Column -->
        <ng-container matColumnDef="employeeId">
          <th mat-header-cell *matHeaderCellDef> Employee Id </th>
          <td mat-cell *matCellDef="let element"> {{element.employeeId}} </td>
        </ng-container>
  
        <!-- Status Column -->
        <ng-container matColumnDef="daysWorked">
          <th mat-header-cell *matHeaderCellDef> Days Worked </th>
          <td mat-cell *matCellDef="let element"> {{element.daysWorked}} </td>
        </ng-container>

        <!-- Status Column -->
        <ng-container matColumnDef="overTimeInWeekdays">
            <th mat-header-cell *matHeaderCellDef> OverTime In Weekdays </th>
            <td mat-cell *matCellDef="let element"> {{element.overTimeInWeekdays}} </td>
          </ng-container>

          <!-- Status Column -->
        <ng-container matColumnDef="overTimeInWeekend">
            <th mat-header-cell *matHeaderCellDef> OverTime In Weekend </th>
            <td mat-cell *matCellDef="let element"> {{element.overTimeInWeekend}} </td>
          </ng-container>

          <!-- Status Column -->
        <ng-container matColumnDef="shortHours">
            <th mat-header-cell *matHeaderCellDef> Short Hours </th>
            <td mat-cell *matCellDef="let element"> {{element.shortHours}} </td>
          </ng-container>
  
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
  
      <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-card>